Capítol 2. Arrencada del GIMP
| Part I. Primers passos |

## Capítol 2. Arrencada del GIMP

## 1. Execució del GIMP

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

La majoria de sistemes operatius admeten les associacions de fitxers, que associen una classe de fitxers (com els determinats per l'extensió del nom de fitxer, com ara .jpg) amb l'execució de la corresponent aplicació (per exemple, el GIMP). Quan els fitxers d'imatge estan convenientment «associats» al GIMP, podeu fer doble clic sobre una imatge per a obrir-la en el GIMP.

### 1.1. Plataformes conegudes

El GIMP és el programa de manipulació d'imatges més àmpliament admès disponible avui dia. Les plataformes en les quals se sap que el GIMP funciona són:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, i BeOS™.

El GIMP pot ser portat fàcilment a altres sistemes operatius per la disponibilitat del seu codi font. Podeu trobar informació més detallada a la pàgina dels desenvolupadors del GIMP [GIMP-DEV].

### 1.2. Idioma

El GIMP detecta i usa, automàticament, l'idioma del sistema. En cas que la detecció de l'idioma falli o que vulgueu usar un idioma diferent, des del GIMP-2.8, podeu fer el següent: Edita → Preferències → Interfície.

També podeu usar:

En Linux

  En LINUX: en el mode de consola, escriviu `LANGUAGE=ca gimp` o `LANG=ca gimp` reemplaçant «ca» (català) pel codi d'idioma que vulgueu («en», «fr», «de», etc.). Explicació: en fer `LANGUAGE=ca` establiu una variable d'entorn per a l’execució del programa `gimp`.

En Windows XP

  Botó Panell de control → Sistema → Avançat → Entorn a l'àrea «Variables del sistema»: botó Afegeix: introduïu «LANG» en «Nom» i «ca» o «fr» en «Valor». Advertència: cal fer clic, successivament, en tres botons D'acord per a validar l'elecció.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for french for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Una altra possibilitat: Inici → Programes → GTK Runtime Environment i Selecciona idioma i trieu l'idioma que vulgueu de la llista desplegable.

En Apple Mac OS X

  Des de «Preferències del sistema», feu clic en la icona «Internacional». En la pestanya «Idioma», l'idioma que desitgeu emprar hauria de ser el primer de la llista.

Una altra instància del GIMP

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.10` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.10 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Arguments de la línia d'ordres

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.10 [OPTION...] [FILE|URI...].

-?, --help

  Mostra un llistat de totes les opcions de la línia d'ordres.

--help-all

  Mostra totes les opcions d'ajuda.

--help-gtk

  Mostra les opcions del GTK+.

-v, --version

  Imprimeix la versió del GIMP i surt.

--license

  Mostra informació de la llicència i surt.

--verbose

  Mostra missatges detallats de l'inici.

-n, --new-instance

  Arrenca una nova instància del GIMP.

-a, --as-new

  Obre les imatges com a noves.

-i, --no-interface

  Executa sense interfície d'usuari.

-d, --no-data

  No carrega patrons, degradats, paletes ni pinzells. Sovint és útil quan es vol minimitzar el temps d'inici, en situacions d'ús no interactiu.

-f, --no-fonts

  No carrega cap lletra tipogràfica. És útil per a carregar el GIMP més de pressa quan s'utilitzen scripts que no requereixen lletres o per a trobar problemes relacionats amb lletres malmeses que fan que el GIMP es pengi.

-s, --no-splash

  No mostra la pantalla d'inici en arrencar.

--no-shm

  No s'usa memòria compartida entre el GIMP i els connectors.

--no-cpu-accel

  No s'utilitzen les funcions especials d'acceleració de la CPU. Útil per a trobar o deshabilitar problemes en el maquinari o les funcions de l'acceleració.

--session=`nom`

  Utilitza un fitxer de configuració `sessionrc` alternatiu per a aquesta sessió del GIMP. El nom de sessió proporcionat s'afegeix al final del nom del fitxer `sessionrc` per defecte.

--gimprc=`nom del fitxer`

  Utilitza un `gimprc` alternatiu en lloc del predeterminat. El fitxer `gimprc` conté un registre de les vostres preferències. És útil en els casos en què els camins dels connectors o les especificacions del sistema poden variar.

--system-gimprc=`nom del fitxer`

  Utilitza un fitxer gimprc de sistema alternatiu.

-b, --batch=`ordres`

  Executa el conjunt d'ordres de forma no interactiva. Aquest conjunt es dóna habitualment en forma d'un script que pot ser executat per una de les extensions de scripts del GIMP. Quan l'ordre és un `-`, les ordres es llegeixen de l'entrada estàndard.

--batch-interpreter=`procediment`

  Especifica el procediment que s'ha d'usar per a processar les ordres de processament per lots. El procediment per defecte és l’Script-Fu.

--console-messages

  No apareixen caixes de diàleg informant d'errors o advertències. En canvi, s'imprimeixen missatges en la consola.

--pdb-compat-mode=`mode`

  Mode de compatibilitat de la base de dades de procediments (off|on|warn).

--stack-trace-mode=`mode`

  Depura en cas de fallada (never|query|always).

--debug-handlers

  Activa la depuració de senyals no fatals. Útil per a depurar el GIMP.

--g-fatal-warnings

  Tracta tots els avisos com a fatals. Útil per a depurar.

--dump-gimprc

  Genera un fitxer «gimprc» amb configuració per defecte. Útil si s'ha fet malbé el fitxer «gimprc».

--display=`pantalla`

  Utilitza la pantalla X especificada (aquesta opció és vàlida per a totes les plataformes).

2.17. Full de ruta i en què treballarem |  | 2. Iniciar el GIMP per primera vegada

Report an error in the bug tracker